## LassoIdWsf2PsGetObjectInfoRequest LassoIdWsf2PsGetObjectInfoRequest — <ps:GetObjectInfoRequest> |

## Functions

LassoIdWsf2PsGetObjectInfoRequest * | lasso_idwsf2_ps_get_object_info_request_new ()

## Types and Values

struct | LassoIdWsf2PsGetObjectInfoRequest

## Description

Figure 211. Schema fragment for ps:GetObjectInfoRequest

    <xs:complexType name="GetObjectInfoRequestType">
      <xs:complexContent>
        <xs:extension base="RequestAbstractType">
          <xs:sequence>
            <xs:element ref="TargetObjectID" minOccurs="0"/>
            <xs:element ref="Subscription" minOccurs="0"/>
          </xs:sequence>
        </xs:extension>
      </xs:complexContent>
    </xs:complexType>

## Functions

### lasso_idwsf2_ps_get_object_info_request_new ()

    LassoIdWsf2PsGetObjectInfoRequest *
    lasso_idwsf2_ps_get_object_info_request_new
                                   (void);

Creates a new LassoIdWsf2PsGetObjectInfoRequest object.

#### Returns

a newly created LassoIdWsf2PsGetObjectInfoRequest object

## Types and Values

### struct LassoIdWsf2PsGetObjectInfoRequest

    struct LassoIdWsf2PsGetObjectInfoRequest {
    	LassoIdWsf2PsRequestAbstract parent;

    	/* elements */
    	/* XXX */ void *TargetObjectID;
    	/* XXX */ void *Subscription;
    };